/**

   Utilisation de l'interface List

   @author: John R. Hubbard (Data Structures with Java)
   @author: Mohamed Lokbani commentaires + explications.

   @version 1.2

   
*/


import java.util.*;


public class bug {
    public static void main(String[] args) {
	String[] strings;
	strings = new String[]{"Adams","Tyler","Grant","Hayes","Nixon"};
	List list = Arrays.asList(strings);
	System.out.println("list = " + list);
	System.out.println("list.size() = " + list.size());
	System.out.println("list.getClass().getName() = " + list.getClass().getName());
	System.out.println("list.get(1) = " + list.get(1));
	System.out.println("list.contains(\"Tyler\") = " + list.contains("Tyler"));
	List sublist = list.subList(2,5);
	System.out.println("sublist = " + sublist);
	Object object = list.get(1);
	System.out.println("sublist.get(1) = " + sublist.get(1));
	System.out.println("sublist.contains(\"Tyler\") = " + sublist.contains("Tyler"));
	list.remove(3);

    }
}




/*
lokbani>inclure jdk
lokbani>javac bug.java
lokbani>java bug

list = [Adams, Tyler, Grant, Hayes, Nixon]
list.size() = 5
list.getClass().getName() = java.util.Arrays$ArrayList
list.get(1) = Tyler
list.contains("Tyler") = true
sublist = [Grant, Hayes, Nixon]
sublist.get(1) = Hayes
sublist.contains("Tyler") = false
Exception in thread "main" java.lang.UnsupportedOperationException
        at java.util.AbstractList.remove(AbstractList.java:170)
        at bug.main(bug.java:32)

La mthode "remove" est optionnelle dans la classe List, elle n'est
pas supporte par ce type de liste.


http://java.sun.com/j2se/1.4/docs/api/java/util/AbstractList.html#remove(int)

La classe Arrays ne permet d'ajouter ou de supprimer des lments.


*/
